"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Greeter = exports.settings = exports.apiUrl = exports.sayGoodbye = exports.sayHello = exports.shadowizard = void 0;
function shadowizard(options) {
    var images = document.querySelectorAll('.shadowizard');
    if (options.shadow_type === 'hard') {
        options.shadow_type = '0px';
    }
    else {
        options.shadow_type = '15px';
    }
    images.forEach(function (image) {
        image.style.boxShadow = "10px 10px " + options.shadow_type + " 1px rgba(0,0,0,0.12)";
        if (options.padding) {
            image.style.padding = '1em';
        }
    });
}
exports.shadowizard = shadowizard;
// Do not export the function
function somePrivateFunction() {
    // ...
}
// Export default function
function sayHello() {
    console.log('Hello');
}
exports.sayHello = sayHello;
// Export non-default function
function sayGoodbye() {
    console.log('Goodbye');
}
exports.sayGoodbye = sayGoodbye;
// Export simple value
exports.apiUrl = '...';
// Export object
exports.settings = {
    debug: true,
};
exports.Greeter = function (name) { return "Hello " + name; };
